.minicart {
	position: relative;
	z-index: 99999;

	&.minicart--open {
		.minicart__container {
			transform: translateX(0);
		}

		.minicart__overlay {
			visibility: visible;
			opacity: 1;
		}
	}

	.minicart__overlay {
		position: fixed;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		z-index: -1;
		visibility: hidden;
		opacity: 0;
		display: block;
		background-color: rgba(#000, 0.3);
		transition-property: visibility, opacity;
		transition-duration: 0.3s;
		transition-timing-function: ease-out;
	}

	.minicart__container {
		position: fixed;
		top: 0;
		right: 0;
		width: 100%;
		max-width: 428px;
		height: 100%;
		background-color: #fff;
		transform: translateX(100%);
		transition-timing-function: ease-out;
		transition-property: transform;
		transition-duration: 0.25s;
	}

	.minicart__wrapper {
		position: relative;
		display: flex;
		flex-direction: column;
		height: 100%;
		background-color: #fff;
	}

	.minicart__section {
		padding-left: 20px;
		padding-right: 20px;
		-webkit-transform: translate3d(0, 0, 0);

		&.minicart__section--header {
			padding-top: 32px;
			padding-bottom: 16px;
		}

		&.minicart__section--items {
			position: absolute;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			overflow-y: auto;

			&::-webkit-scrollbar {
				width: 5px;
			}

			&::-webkit-scrollbar-track {
				border-radius: 2.5px;
				background-color: #e6ebee;
			}

			&::-webkit-scrollbar-thumb {
				border-radius: 2.5px;
				background-color: #aaa;
			}
		}

		&.minicart__section--footer {
			padding-top: 16px;
			padding-bottom: 16px;
		}
	}

	.minicart__header {
		position: relative;
		padding-bottom: 16px;
		border-bottom: 1px solid #e6ebee;
	}

	.minicart__header-title {
		margin-top: 0;
		margin-bottom: 0;
	}

	.minicart__header-close {
		position: absolute;
		top: 0;
		right: 0;
		display: block;
		margin: 0;
		padding: 0;
		border: 0;
		background: none;
		color: #000;
		cursor: pointer;

		svg {
			display: block;
			width: 16px;

			path {
				fill: currentColor;
			}
		}

		@include hover {
			color: #808080;
		}
	}

	.minicart__header-shipping-module {
		margin-top: 12px;
	}

	.minicart__body {
		position: relative;
		overflow: hidden;
		flex: 1 0 auto;
	}

	.minicart__product {
		padding: 20px 0;

		+ .minicart__product {
			border-top: 1px solid #e6ebee;
		}
	}

	.minicart__footer {
		padding-top: 16px;
		border-top: 1px solid #e6ebee;
	}

	.minicart__footer-subtotal {
		display: flex;
		justify-content: space-between;
		font-size: 12px;
		font-weight: 400;
	}

	.minicart__footer-subtotal-label {
		padding-right: 20px;
		color: #808080;
	}

	.minicart__footer-subtotal-value {
		color: #000;
	}

	.minicart__footer-actions {
		margin-top: 12px;
	}

	.minicart__footer-action {

	}
}
